﻿@using LawMingo.Areas.Admin.Helpers
@model RelatedArticle.Actions

@{
    List<SelectListItem> list = new List<SelectListItem>();
    foreach (var value in EnumHelper<RelatedArticle.Actions>.GetValues(RelatedArticle.Actions.Add))
    {
        var AttributeName = EnumHelper<RelatedArticle.Actions>.GetDisplayValue(value);
        list.Add(new SelectListItem()
        {
            Text = AttributeName.ToString(),
            Value = ((int)value).ToString()
        });
    }
}

@(
        Html.Kendo().DropDownListFor(m => m)
            .DataTextField("Text")
            .DataValueField("Value")
            .Events(e => e.Change("setDataToEditor"))
            .BindTo(list)
          
)

